From 83bafe8af38096b18f429e5aedf25c8a56bc2881 Mon Sep 17 00:00:00 2001
From: paul-1 <6473457+paul-1@users.noreply.github.com>
Date: Sun, 1 Oct 2023 12:00:34 -0400
Subject: [PATCH 6/6] Scripts: pigz patch

---
 Makefile                 | 2 +-
 scripts/Makefile.lib     | 2 +-
 scripts/Makefile.modinst | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Makefile b/Makefile
index c6918c620bc3..f8ea4a50740c 100644
--- a/Makefile
+++ b/Makefile
@@ -505,7 +505,7 @@ PERL		= perl
 PYTHON3		= python3
 CHECK		= sparse
 BASH		= bash
-KGZIP		= gzip
+KGZIP		= pigz
 KBZIP2		= bzip2
 KLZOP		= lzop
 LZMA		= lzma
diff --git a/scripts/Makefile.lib b/scripts/Makefile.lib
index d9c1d68694cc..31f016bb421f 100644
--- a/scripts/Makefile.lib
+++ b/scripts/Makefile.lib
@@ -349,7 +349,7 @@ cmd_objcopy = $(OBJCOPY) $(OBJCOPYFLAGS) $(OBJCOPYFLAGS_$(@F)) $< $@
 # ---------------------------------------------------------------------------
 
 quiet_cmd_gzip = GZIP    $@
-      cmd_gzip = cat $(real-prereqs) | $(KGZIP) -n -f -9 > $@
+      cmd_gzip = cat $(real-prereqs) | $(KGZIP) -n -f -11 -I 5 > $@
 
 # DTC
 # ---------------------------------------------------------------------------
diff --git a/scripts/Makefile.modinst b/scripts/Makefile.modinst
index d97720943189..8c8da70271af 100644
--- a/scripts/Makefile.modinst
+++ b/scripts/Makefile.modinst
@@ -146,7 +146,7 @@ endif
 # Compression
 #
 quiet_cmd_gzip = GZIP    $@
-      cmd_gzip = $(KGZIP) -n -f $<
+      cmd_gzip = $(KGZIP) -n -f -11 -I 5 $<
 quiet_cmd_xz = XZ      $@
       cmd_xz = $(XZ) --check=crc32 --lzma2=dict=1MiB -f $<
 quiet_cmd_zstd = ZSTD    $@
-- 
2.48.1

